Subject: RE: [Pana] Device ID comment from pana-pana-12

From: "MORAND Lionel RD-CORE-ISS" <[email-masked]>
Date: Mon, 18 Sep 2006 10:16:41 +0200

Hi,

> On Mon, Sep 18, 2006 at 06:35:09AM +0200, Mark Townsley wrote:
> > 
> > In "5.7. Device ID Choice" section, the paragraph begins: 
> "The device 
> > identifier used in the context of PANA can be an IP address, a MAC 
> > address, or ..." and later in the paragraph new text has 
> been added to 
> > try and make clear that the device id is local, not to be 
> exchanged in 
> > the protocol: "The locally-significant identifiers are used 
> locally to 
> > associate PANA sessions with the local interfaces and are 
> not meant to 
> > be exchanged with the peers."
> 
> Let me quote the entire paragraph:
> 
> "
>    The device identifier used in the context of PANA can be an IP
>    address, a MAC address, or an identifier that may not be carried in
>    data packets but has local significance in identifying a connected
>    device (e.g., circuit id, PPP interface id).  The last type of
>    identifiers (i.e., locally-significant identifiers) are 
> commonly used
>    in point-to-point links where MAC addresses are not available and
>    lower-layers are already physically or cryptographically secured.
>    The locally-significant identifiers are used locally to associate
>    PANA sessions with the local interfaces and are not meant to be
>    exchanged with the peers.
> "
> 
> The "locally-significant identifier" in the last sentense 
> points to the last (third) type of device identifier, i.e., 
> "an identifier that may not be carried in data packets but 
> has local significance in identifying a connected device 
> (e.g., circuit id, PPP interface id, not an IP address or a 
> MAC address."
> 
> If this text can be interpreted in multiple ways (I don't 
> think so), we will need to fix the text.
> 

[LM] I think that the existing is quite clear. If a modification was
deemed needed, it would be to clarify that the last part of the
paragraph refers only to "locally-significant identifiers". However I'm
not sure that it is necessary.

BR,

Lionel

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana